#include "lidar_lite.h"

int main(int argc, char *argv[])
{

	std::string serial="A700evSl";
	unsigned char device_id=0x62;

	CLidarLite* laser_ptr = new CLidarLite(device_id,serial);
	
	try
	{
		laser_ptr->open();
		laser_ptr->reset();
		laser_ptr->close();

	}catch(CLidarLiteException &e)
	{
		std::cout << e.what() << std::endl;
	}

	if(laser_ptr != NULL)
	{
		laser_ptr = NULL;
  	delete laser_ptr;
	}
}
